# $chan.topicsetat

Returns the set time of the topic of a channel

Syntax

    $chan.topicsetat
    $chan.topicsetat(<window_id>)

Description

The first form returns the set time of the topic of the current channel (assuming that the current window is a channel at all). If the current window is not a channel, a warning is printed and an empty string is returned.
The second form returns the set time of the topic of the channel specified by <window_id>.
The topic set time is returned if it is known form at the call time: this means that if the channel is not synchronized with the server (as just after the join, for example) you might get an empty string (the topic is not yet known).
This function works also on dead channels altough the information returned is the last information seen while the channel wasn't dead.

Index, Functions

KVIrc 3.2.0 Documentation
Generated by root at Thu Mar 9 08:43:54 2006